Description

Selecting a template on a RHEV 3.1 cluster causes the an error like below and as a result it appears interfaces and volumes do not
populate properly.

Started POST "/compute_resources/1-phx1-soc-rhev/hardware_profile_selected" for 10.16.197.109 at Tue Feb 19 15:05:43 -0500
2013

Processing by ComputeResourcesController#hardware_profile_selected as

Parameters: {"hwp_id"=>"d9e12cb0-b0eb-4967-910d-f4317ba3ef88", "id"=>"1-phx1-soc-rhev"}

Operation FAILED: undefined method []' for nil:NilClass

Rendered common/500.rhtml (6.4ms)

Completed 500 Internal Server Error in 444ms (Views: 9.1ms | ActiveRecord: 0.0ms)

Associated revisions

Revision c2096fe0 - 02/25/2013 03:34 PM - Amos Benari
fixes #2224 Selecting a RHEV 3.1 template does not work properly

History

#1 - 02/19/2013 04:30 PM - Ohad Levy
- Category set to Compute resources
- Assignee set to Amos Benari

- Target version set to 1.2.0

#2 - 02/21/2013 08:20 AM - Amos Benari

- Status changed from New to Need more information

Could not reproduce. Can you please add the error from foreman log?
If the issue can be reproduced, please also add steps to reproduce.
Thanks.

#3 - 02/21/2013 11:24 AM - Anonymous

The output | listed is what | am seeing in the logs. | sent the full production.log over for your review.

| set up a new server and pointed it at an Ovirt 3.2/Fedora 18 setup | have and | see the same thing.

#4 - 02/21/2013 12:33 PM - Ohad Levy

can you please enable debug and send the full production log?

#5 - 02/21/2013 12:34 PM - Ohad Levy
btw: i did not see the log in the ticket

#6 - 02/21/2013 09:34 PM - Anonymous
- File production.log added
Attached production.log with debug enabled.

By the way, Foreman is runnning on RHEL 6, in case it makes a difference. | can probably provision a server running on Fedora tomorrow just to
make sure it's not something distro specific.

#7 - 02/22/2013 09:33 AM - Anonymous

Doing this makes it work, the template info populates, and | can provision, but | have no idea what removing it breaks.

-—— /usr/lib/ruby/gems/1.8/gems/rbovirt-0.0.15/1ib/ovirt/volume.rb.orig 2013-02-22 09:28:45.000000000 -0500
+++ /usr/lib/ruby/gems/1.8/gems/rbovirt-0.0.15/1ib/ovirt/volume.rb 2013-02-22 09:28:56.000000000 -0500
@@ -35,7 +35,7 @@

@format = (xml/'format').first.text

@sparse = (xml/'sparse').first.text

@status = (xml/'status').first.text
- @Qvm = Link::new(Qclient, (xml/'vm').first[:id], (xml/'vm').first[:href])
+ # @vm = Link::new(@client, (xml/'vm').first[:id], (xml/'vm').first[:href])

end

#8 - 02/22/2013 11:10 AM - Anonymous

| found the 'what it breaks'; the vm name does not get set properly in rhev. ends up being something like foreman_XXXXXXX where the X's are
numbers.

#9 - 02/25/2013 04:01 PM - Amos Benari
- Status changed from Need more information to Closed

- % Done changed from 0 to 100

Applied in changeset c2096fe06c6095d6d2d7c7fe1803701926a3b93d.

Files

production.log 61.9 KB 02/21/2013 Anonymous

05/18/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c2096fe06c6095d6d2d7c7fe1803701926a3b93d
http://www.tcpdf.org

